/*
 * gdb-stubd
 *
 * A daemon offering gdb services sporting a variety of back ends.
 *
 * (c) 1999 Austin Donnelly <Austin.Donnelly@cl.cam.ac.uk>
 *
 * You may distribute copies of this program under the GPL.  There is
 * NO WARRANTY associated with this software.
 *
 */

#include <stdio.h>
#include <stdlib.h>
#include <unistd.h>
#include <string.h>
#include <errno.h>
#include <stdarg.h>

#include "util.h"

void
die_errno (const char *m, ...)
{
    va_list ap;

    va_start (ap, m);

    fprintf (stderr, "%s: ", progname);
    vfprintf (stderr, m, ap);
    fprintf (stderr, ": %s\n", strerror(errno));

    exit (1);

    va_end (ap);
}


void
die (const char *m, ...)
{
    va_list ap;

    va_start (ap, m);

    fprintf(stderr, "%s: ", progname);
    vfprintf (stderr, m, ap);
    fprintf (stderr, "\n");

    exit(1);

    va_end (ap);
}


void
warn (const char *m, ...)
{
    va_list ap;

    va_start (ap, m);

    fprintf(stderr, "%s: ", progname);
    vfprintf (stderr, m, ap);
    fprintf (stderr, "\n");

    va_end (ap);
}


