/*
 * gdb-stubd
 *
 * A daemon offering gdb services sporting a variety of back ends.
 *
 * (c) 1999 Austin Donnelly <Austin.Donnelly@cl.cam.ac.uk>
 *
 * You may distribute copies of this program under the GPL.  There is
 * NO WARRANTY associated with this software.
 *
 */

#ifndef util_h
#define util_h

#define MIN(a, b)  ((a) < (b) ? (a) : (b))
#define MAX(a, b)  ((a) > (b) ? (a) : (b))


/* fixed-width types */
typedef unsigned short uint16_t;
typedef unsigned int   uint32_t;
typedef unsigned char  uint8_t;

typedef enum { FALSE, TRUE } bool_t;

extern const char *progname;
extern int verbose;

extern void die_errno (const char *m, ...)
     __attribute__ ((format (printf, 1, 2)));
extern void die (const char *m, ...)
     __attribute__ ((format (printf, 1, 2)));

extern void warn (const char *m, ...)
     __attribute__ ((format (printf, 1, 2)));


#endif /* util_h */
